package ru.vfilippov.electronreminder;

import android.content.Context;
import android.content.Intent;
import android.text.Layout;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

import simple.SimpleXmlNode;

public class TripItemAdapter extends BaseAdapter
{
    static class ViewHolder
    {
        protected TextView time, arrival, title;
        protected ImageView reminder;
    }

    Context context;
    LayoutInflater inflater;
    List<Trip> list;

    public TripItemAdapter(Context context, List<Trip> trips)
    {
        this.context = context;
        inflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        list = trips;
    }

    @Override
    public int getCount()
    {
        return list.size();
    }

    @Override
    public Object getItem(int i)
    {
        return list.get(i);
    }

    @Override
    public long getItemId(int i)
    {
        return i;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent)
    {
        View view = null;
        if (convertView == null)
        {
            view = inflater.inflate(R.layout.tripitem, null);
            final ViewHolder h = new ViewHolder();
            h.time = (TextView) view.findViewById(R.id.time);
            h.arrival = (TextView) view.findViewById(R.id.arrival);
            h.title = (TextView) view.findViewById(R.id.title);
            h.reminder = (ImageView) view.findViewById(R.id.reminder);
            view.setTag(h);
        }
        else
            view = convertView;
        Trip m = list.get(position);
        ViewHolder h = (ViewHolder) view.getTag();
        h.reminder.setImageResource(m.reminderOn ? R.drawable.fav_on : R.drawable.fav);
        h.time.setText(m.departure);
        h.title.setText(m.title);
        h.arrival.setText(m.arrival);
        return view;
    }
}
